Bug 1254933 - [Pgsql]Error link of reports.cgi?show_all=1 in the reports.cgi page
[Pgsql]Error link of reports.cgi?show_all=1 in the reports.cgi page
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Reporting/Charting (Show other bugs)
4.4
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: Jeff Fearn
Rony Gong
:
Depends On: 1254054
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 05:25 EDT by Rony Gong
Modified: 2015-11-04 00:41 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4.10042-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-03 23:31:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2015-08-19 05:25:56 EDT
Description of problem:
Error link of reports.cgi?show_all=1 in the reports.cgi page

Version-Release number of selected component (if applicable):
4.4.9039-2

How reproducible:
Always

Steps to Reproduce:
1.Go to reports page, then click link 'Old Charts'(reports.cgi)
2.Then click the 'here'(reports.cgi?show_all=1) link in the new page
3.

Actual results:
Page show error:

An error occurred while performing a database operation:

DBD::Pg::db selectcol_arrayref failed: ERROR:  for SELECT DISTINCT, ORDER BY expressions must appear in select list
LINE 2:         WHERE value != '' ORDER BY type DESC, value
                                           ^ [for Statement "SELECT DISTINCT value FROM mining_data_values
        WHERE value != '' ORDER BY type DESC, value"] at /var/www/html/bugzilla/reports.cgi line 152.
	ModPerl::ROOT::Bugzilla::ModPerl::ResponseHandler::var_www_html_bugzilla_reports_2ecgi::get_data("/var/www/html/bugzilla/data/mining") called at /var/www/html/bugzilla/reports.cgi line 58
	ModPerl::ROOT::Bugzilla::ModPerl::ResponseHandler::var_www_html_bugzilla_reports_2ecgi::handler(Apache2::RequestRec=SCALAR(0x7f29a1ed0fc0)) called at /usr/lib64/perl5/vendor_perl/ModPerl/RegistryCooker.pm line 204
	eval {...} called at /usr/lib64/perl5/vendor_perl/ModPerl/RegistryCooker.pm line 204
	ModPerl::RegistryCooker::run(Bugzilla::ModPerl::ResponseHandler=HASH(0x7f29a1369f88)) called at /usr/lib64/perl5/vendor_perl/ModPerl/RegistryCooker.pm line 170
	ModPerl::RegistryCooker::default_handler(Bugzilla::ModPerl::ResponseHandler=HASH(0x7f29a1369f88)) called at /usr/lib64/perl5/vendor_perl/ModPerl/Registry.pm line 31
	ModPerl::Registry::handler("Bugzilla::ModPerl::ResponseHandler", Apache2::RequestRec=SCALAR(0x7f29a1ed0fc0)) called at /var/www/html/bugzilla/mod_perl.pl line 134
	Bugzilla::ModPerl::ResponseHandler::handler("Bugzilla::ModPerl::ResponseHandler", Apache2::RequestRec=SCALAR(0x7f29a1ed0fc0)) called at -e line 0
	eval {...} called at -e line 0


Expected results:


Additional info:
Comment 1 Jeff Fearn 2015-08-20 20:20:29 EDT
We will be disabling these reports in the UI, using this URI after BZ 1254054 should present a warning that the feature is disabled.
Comment 2 Rony Gong 2015-08-31 02:08:47 EDT
Tested on 
QA environment(bzweb01-qe) with version(4.4.9040-1, DB: mysql)
QA environment(bzperfweb01.app.qa) with version(4.4.9040-1, DB: psql )
Result: Pass
Steps:
The links 'Old Charts' and 'New Charts' is viewable in report.cgi now.
Comment 3 Matt Tyson 2015-11-03 23:31:28 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.